import express from 'express';
import { createLead, deleteLead, exportLeads, getAllLeads, getLeadById, updateLead, updateLeadStatus } from '../controller/leadmanagementController.js';

const router = express.Router();


router.get("/all", getAllLeads); //done
router.post("/create", createLead); //done
router.get("/export", exportLeads); //done
router.get("/:id", getLeadById); //done
router.put("/update/:id", updateLead); //done
router.patch("/:id/status", updateLeadStatus); //done
router.delete("/delete/:id", deleteLead); //done

export default router;